# -*- coding: utf-8 -*-
from plone import api
from Products.CMFPlone.interfaces import INonInstallable
from transaction import commit
from zope.interface import implementer

import logging

log = logging.getLogger(__name__)


@implementer(INonInstallable)
class HiddenProfiles(object):
    def getNonInstallableProfiles(self):
        """Hide uninstall profile from site-creation and quickinstaller."""
        return ["quaive.saas:uninstall"]


def post_install(context):
    """Tidy up quaive install"""
    # AFAICT The simple_intranet_workflow is installed after these "apps" are created,
    # so they get the initial state of "private" rather than "published"
    for app_id in context.apps.objectIds():
        if app_id not in ["administrator-tool", "case-manager"]:
            api.content.transition(obj=context.apps.get(app_id), transition="publish")
    portal = api.portal.get()
    portal.unrestrictedTraverse("/@@pas-graph-init")()
    commit()


def uninstall(context):
    """Uninstall script"""
    # Do something at the end of the uninstallation of this package.
