# -*- coding: utf-8 -*-
from plone.app.contenttypes.testing import PLONE_APP_CONTENTTYPES_FIXTURE
from plone.app.robotframework.testing import REMOTE_LIBRARY_BUNDLE_FIXTURE
from plone.app.testing import applyProfile
from plone.app.testing import FunctionalTesting
from plone.app.testing import IntegrationTesting
from plone.app.testing import PloneSandboxLayer
from plone.testing import z2

import quaive.saas


class QuaiveSaasLayer(PloneSandboxLayer):

    defaultBases = (PLONE_APP_CONTENTTYPES_FIXTURE,)

    def setUpZope(self, app, configurationContext):
        # Load any other ZCML that is required for your tests.
        # The z3c.autoinclude feature is disabled in the Plone fixture base
        # layer.
        import plone.restapi
        self.loadZCML(package=plone.restapi)
        self.loadZCML(package=quaive.saas)

    def setUpPloneSite(self, portal):
        applyProfile(portal, 'quaive.saas:default')


QUAIVE_SAAS_FIXTURE = QuaiveSaasLayer()


QUAIVE_SAAS_INTEGRATION_TESTING = IntegrationTesting(
    bases=(QUAIVE_SAAS_FIXTURE,),
    name='QuaiveSaasLayer:IntegrationTesting',
)


QUAIVE_SAAS_FUNCTIONAL_TESTING = FunctionalTesting(
    bases=(QUAIVE_SAAS_FIXTURE,),
    name='QuaiveSaasLayer:FunctionalTesting',
)


QUAIVE_SAAS_ACCEPTANCE_TESTING = FunctionalTesting(
    bases=(
        QUAIVE_SAAS_FIXTURE,
        REMOTE_LIBRARY_BUNDLE_FIXTURE,
        z2.ZSERVER_FIXTURE,
    ),
    name='QuaiveSaasLayer:AcceptanceTesting',
)
